Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(CGI/FastTemplate.pm) perl(HTML/Entities.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

%add_optflags -fcommon

Name:           mlmmj
Version:        1.3.0
Release:        alt2_16
Summary:        A simple and slim mailing list manager inspired by ezmlm
License:        MIT
URL:            http://mlmmj.org/
Source0:        http://mlmmj.org/releases/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  findutils
Source44: import.info
%filter_from_requires /perl(.*[.]pl\\)\|\.bin\.bash/d

%description
Mlmmj(Mailing List Management Made Joyful) is a simple and slim mailing list 
manager (MLM) inspired by ezmlm. It works with many different Mail Transport 
Agents (MTAs) and is simple for a system adminstrator to install, configure 
and integrate with other software. As it uses very few resources, and requires
no daemons, it is ideal for installation on systems where resources are 
limited, such as Virtual Private Servers (VPSes).

Although it doesn't aim to include every feature possible, but focuses on 
staying mean and lean, and doing what it does do well, it does have a great 
set of features, including:

- Archive
- Custom headers / footer
- Fully automated bounce handling (similar to ezmlm)
- Complete requeueing functionality
- Moderation functionality
- Subject prefix
- Subscribers only posting
- Regular expression access control
- Functionality to retrieve old posts
- Web interface
- Digests
- No-mail subscription
- VERP support
- Delivery Status Notification (RFC1891) support
- Rich, customisable texts for automated operations

%prep
%setup -q

%build
%configure --enable-receive-strip
%make_build

%install
%makeinstall_std

mkdir -p %{buildroot}%{_localstatedir}/spool/%{name}
find contrib/ -type f -name *.pl -exec chmod -x {} ";"
find contrib/ -type f -name *.cgi -exec chmod -x {} ";"

%files
%{!?_licensedir:%global license %doc}
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog FAQ README* TODO TUNABLES UPGRADE
%doc contrib/web/
%{_bindir}/*
%{_mandir}/man1/mlmmj*.1*
%{_datadir}/%{name}/
%{_localstatedir}/spool/%{name}

%changelog
* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.3.0-alt2_16
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.3.0-alt2_15
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.3.0-alt2_14
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.3.0-alt2_13
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.3.0-alt2_12
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.3.0-alt2_11
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt2_10
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_10
- update to new release by fcimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_9
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_7
- new version

